{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-204.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-Compress-Raw-Bzip2-2.210-1.fc40",
        "store-results-to": "/tmp/tmpthtfj3mi/perl-Compress-Raw-Bzip2-2.210-1.fc40.tar.xz",
        "time-created": "2024-07-03 16:41:16",
        "time-finished": "2024-07-03 16:42:29",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpthtfj3mi/perl-Compress-Raw-Bzip2-2.210-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpthtfj3mi/perl-Compress-Raw-Bzip2-2.210-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "f8eb3f74111425de5045f259409d29bd268453e5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.c",
                    "line": 1761,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.c",
                    "line": 1761,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1759|       char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1760|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1761|->     const char* file = __FILE__;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1762|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1763|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "80167e6054a5d44786609d2b320f9d159dd8d3c0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.xs",
                    "line": 378,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'flags' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.xs",
                    "line": 378,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'flags' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  376|               int flags = 0 ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  377|               if (appendOut)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  378|->                 flags |= FLAG_APPEND_OUTPUT;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  379|               PostInitStream(s, appendOut ? FLAG_APPEND_OUTPUT :0) ;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  380|           }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1d319c9f2375b2dabfe17ec07905e56f0a732637",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.xs",
                    "line": 781,
                    "column": 5,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'RETVAL' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "perl-Compress-Raw-Bzip2-2.210-build/Compress-Raw-Bzip2-2.210/Bzip2.xs",
                    "line": 781,
                    "column": 5,
                    "event": "note",
                    "message": "Value stored to 'RETVAL' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  779|       s->bytesInflated = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  780|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  781|->     RETVAL = BZ_OK;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  782|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  783|       while (1) {",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
